## apostrophe 2.6.3

=== meson_options.txt ===
option(
        'profile',
        type: 'combo',
        choices: [
                'default',
                'development'
        ],
        value: 'default'
)

option(
        'sassc',
        type: 'feature',
        value: 'auto',
        description: 'Rebuild styles using sassc'
)

=== debian/changelog ===
apostrophe (2.6.3-4) unstable; urgency=medium

  * Fix Vcs fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Oct 2022 11:50:55 -0400

apostrophe (2.6.3-3) unstable; urgency=medium

  * Add patch to switch to webkitgtk 4.1
  * debian/control: Update dependency to match
  * Drop unnecessary Build-Depends
  * Build-Depend on desktop-file-utils for build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Sep 2022 13:09:22 -0400

apostrophe (2.6.3-2) unstable; urgency=medium

  * Team upload
  * debian/copyright: Add copyright for an icon

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 31 Aug 2022 12:14:58 -0400

apostrophe (2.6.3-1) unstable; urgency=medium

  * Initial release. (Closes: #721192)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Wed, 31 Aug 2022 06:16:15 -0400

=== debian/control ===
Source: apostrophe
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Rules-Requires-Root: no
Build-Depends: appstream-util <!nocheck>,
               debhelper-compat (= 13),
               desktop-file-utils <!nocheck>,
               dh-sequence-python3,
               libgtk-3-dev,
               libhandy-1-dev,
               libgirepository1.0-dev,
               libjs-mathjax,
               meson,
               pandoc,
               python3-cairo,
               python3-dev,
               python3-enchant,
               python3-gi,
               python3-levenshtein,
               python3-pypandoc,
               python3-regex,
               python3-setuptools,
               sassc,
               texlive,
               texlive-latex-extra
Standards-Version: 4.6.1
Homepage: https://gitlab.gnome.org/World/apostrophe
Vcs-Browser: https://salsa.debian.org/gnome-team/apostrophe
Vcs-Git: https://salsa.debian.org/gnome-team/apostrophe.git

Package: apostrophe
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-pypandoc, gir1.2-gspell-1, gir1.2-handy-1, gir1.2-glib-2.0, gir1.2-gtk-3.0, gir1.2-webkit2-4.1
Description: Distraction free Markdown editor
 Apostrophe is a GTK+ based distraction free Markdown editor.
 It uses pandoc as back-end for parsing Markdown and offers a very
 clean and sleek user interface.

=== debian/watch ===
version=4
https://gitlab.gnome.org/World/apostrophe/tags?sort=updated_desc archive/v?\d[\d.]+/apostrophe-v?([\d.]+)@ARCHIVE_EXT@

## apostrophe 3.2

=== meson_options.txt ===
option(
        'profile',
        type: 'combo',
        choices: [
                'default',
                'development'
        ],
        value: 'default'
)

=== debian/changelog ===
apostrophe (3.2-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace B-D on libgirepository1.0-dev with gobject-introspection
  * d/salsa-ci.yml: Update to current recommendation for the recipe
  * d/salsa-ci.yml: Skip redundant builds

  [ Jeremy Bícha ]
  * debian/watch: Convert to Version: 5
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 17:49:11 -0400

apostrophe (3.2-3) unstable; urgency=medium

  * Replace superseded build-dep on appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 02:30:25 +0200

apostrophe (3.2-2) unstable; urgency=medium

  * Convert to Arch:all since it's a python package
  * d/control: Update my mail address
  * d/control: Drop dependency on python3-dev

 -- Matthias Geiger <werdahias@debian.org>  Sun, 12 Jan 2025 21:57:09 +0100

apostrophe (3.2-1) unstable; urgency=medium

  * New upstream release
  * Switch from GTK3 + libhandy to GTK4 + libadwaita
  * Drop remaining patch: applied in new release
  * Add patch to avoid using reveal.js which is not in Debian yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Dec 2024 15:35:07 -0500

apostrophe (2.6.3-5) unstable; urgency=medium

  * Team upload
  * Add Depends: python3-zombie-telnetlib (Closes: #1084691)
  * Update Homepage and mention GNOME Circle in package description
  * Update debian/watch and debian/gbp.conf
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Dec 2024 15:31:51 -0500

=== debian/control ===
Source: apostrophe
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Matthias Geiger <werdahias@debian.org>
Build-Depends: appstream <!nocheck>,
               debhelper-compat (= 13),
               desktop-file-utils <!nocheck>,
               dh-sequence-python3,
               gobject-introspection (>= 1.80),
               libadwaita-1-dev,
               libgtk-4-dev,
               libjs-mathjax,
               meson,
               pandoc,
               python3-cairo,
               python3-enchant,
               python3-gi,
               python3-levenshtein,
               python3-pypandoc,
               python3-regex,
               python3-setuptools,
               sassc,
               texlive,
               texlive-latex-extra
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Apostrophe/
Vcs-Browser: https://salsa.debian.org/gnome-team/apostrophe
Vcs-Git: https://salsa.debian.org/gnome-team/apostrophe.git

Package: apostrophe
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-pypandoc, python3-zombie-telnetlib, gir1.2-adw-1, gir1.2-glib-2.0, gir1.2-gtk-4.0, gir1.2-spelling-1, gir1.2-webkit-6.0
Description: Distraction free Markdown editor
 Apostrophe is a GTK based distraction free Markdown editor.
 It uses pandoc as back-end for parsing Markdown and offers a very
 clean and sleek user interface.
 .
 Apostrophe is a GNOME Circle app.

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/World/@PACKAGE@

## apostrophe 3.4

=== debian/changelog ===
apostrophe (3.4-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: libxml2-utils for xmllint
  * Add Depends: python3-regex (Closes: #1121398)
  * Remove unnecessary Build-Depends
  * Remove unnecessary Priority: optional field

  [ TheRealSpidermonkey ]
  * Add Depends: libjs-mathjax
  * Add patch to fix math rendering with system MathJax (LP: #1992359)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Dec 2025 23:11:28 -0500

apostrophe (3.4-1) unstable; urgency=medium

  * New upstream release
  * Add Depends: python3-gi
  * Remove obsolete Depends: python3-zombie-telnetlib
  * Remove "disable reveal.js" patch: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 09:14:06 -0500

=== debian/control ===
Source: apostrophe
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Matthias Geiger <werdahias@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               appstream <!nocheck>,
               desktop-file-utils <!nocheck>,
               gobject-introspection (>= 1.80),
               libadwaita-1-dev,
               libgtk-4-dev,
               libxml2-utils,
               meson
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Apostrophe/
Vcs-Browser: https://salsa.debian.org/gnome-team/apostrophe
Vcs-Git: https://salsa.debian.org/gnome-team/apostrophe.git

Package: apostrophe
Architecture: all
Depends: gir1.2-adw-1,
         gir1.2-glib-2.0,
         gir1.2-gtk-4.0,
         gir1.2-spelling-1,
         gir1.2-webkit-6.0,
         libjs-mathjax,
         python3-gi,
         python3-pypandoc,
         python3-regex,
         ${misc:Depends},
         ${python3:Depends}
Description: Distraction free Markdown editor
 Apostrophe is a GTK based distraction free Markdown editor.
 It uses pandoc as back-end for parsing Markdown and offers a very
 clean and sleek user interface.
 .
 Apostrophe is a GNOME Circle app.
